library(geomorph)

#Load in symmetry files
load("/Users/Home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/Writing/MS/Submission/ReReSub/Conith-etal_MECData/Corrs/RDA/AtriumSymmetry.rda")
load("/Users/Home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/Writing/MS/Submission/ReReSub/Conith-etal_MECData/Corrs/RDA/CleithrumSymmetry.rda")
load("/Users/Home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/Writing/MS/Submission/ReReSub/Conith-etal_MECData/Corrs/RDA/MandibleSymmetry.rda")
load("/Users/Home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/Writing/MS/Submission/ReReSub/Conith-etal_MECData/Corrs/RDA/VentricleSymmetry.rda")

#Load in heart centroid data
setwd("/Users/Home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/Writing/MS/Submission/ReReSub/Conith-etal_MECData/Corrs/")
Hearts<-read.csv("zHeartPCs.csv")

####Symmetry####
###Hearts
#Atrium set up, remove 5567
AtS<-Atrium.sym$symm.shape
AtSnew<-AtS[,,-88]
dimnames(AtSnew)[[3]]<-Hearts$HybridID[-7]

#Ventricle set up
VtS<-Ventricle.sym$symm.shape
dimnames(VtS)[[3]]<-Hearts$HybridID[-7]

HeartCorrs<-two.b.pls(A1 = AtSnew, A2 = VtS)
plot(HeartCorrs)
summary(HeartCorrs)


###Cleithrum
#5594 - Removed, also need to remove 5008, 5009, 5567
ClS<-Cleithrum.sym$symm.shape
ClSnew<-ClS[,,c(-7,-8,-90)]
dimnames(ClSnew)[[3]]<-Hearts$HybridID[c(-7,-114)]

#Atrium setup
AtS<-Atrium.sym$symm.shape
AtSnew<-AtS[,,c(-88,-114)]
dimnames(AtSnew)[[3]]<-Hearts$HybridID[c(-7,-114)]

AtCleCorrs<-two.b.pls(A1 = AtSnew, A2 = ClSnew)
plot(AtCleCorrs)
summary(AtCleCorrs)


#Ventricle setup
VtS<-Ventricle.sym$symm.shape
VtSnew<-VtS[,,-113]
dimnames(VtSnew)[[3]]<-Hearts$HybridID[c(-7,-114)]

VtCleCorrs<-two.b.pls(A1 = VtSnew, A2 = ClSnew)
plot(VtCleCorrs)
summary(VtCleCorrs)



#Mandible
#Need to remove 5008, 5009, 5567
ManS<-Mandible.sym$symm.shape
ManSnew<-ManS[,,c(-7,-8,-90)]
dimnames(ManSnew)[[3]]<-Hearts$HybridID[-7]

#Atrium setup
AtS<-Atrium.sym$symm.shape
AtSnew<-AtS[,,-88]
dimnames(AtSnew)[[3]]<-Hearts$HybridID[-7]

AtManCorrs<-two.b.pls(A1 = AtSnew, A2 = ManSnew)
plot(AtManCorrs)
summary(AtManCorrs)


#Ventricle setup
VtS<-Ventricle.sym$symm.shape
VtSnew<-VtS
dimnames(VtSnew)[[3]]<-Hearts$HybridID[-7]

VtManCorrs<-two.b.pls(A1 = VtSnew, A2 = ManSnew)
plot(VtManCorrs)
summary(VtManCorrs)


#5594 - Removed, also need to remove 5008, 5009, 5567
ClS<-Cleithrum.sym$symm.shape
ClSnew<-ClS[,,c(-8,-90)]
dimnames(ClSnew)[[3]]<-Hearts$HybridID[c(-114)]

ManS<-Mandible.sym$symm.shape
ManSnew<-ManS[,,c(-8,-90,-116)]
dimnames(ManSnew)[[3]]<-Hearts$HybridID[c(-114)]

CleManCorrs<-two.b.pls(A1 = ClSnew, A2 = ManSnew)
plot(CleManCorrs)
summary(CleManCorrs)
