setwd("/Users/Home/Desktop") #5113	5494	5594  5602	TRC17-0011
install.packages("/Users/Home/Desktop/geomorph_3.0.4.tar.gz", repos = NULL, type="source")
library(geomorph)


####Process SemiLMs####
#Load in packages
require(geomorph); require(ape); require(geiger); require(plyr); require(phytools)

#Set WD
setwd("/Users/home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/GMM/Cleithrum/")

AllInds<-readland.tps("ClePilotF.tps", specID = "imageID", readcurves = F)

#Reflect specific individuals
RefInd<-c("TRC17-0012", "LFxTRC5620", "LFxTRC5613", "LFxTRC5597", "LFxTRC5551", "LFxTRC5546", "LFxTRC5002")
AllInds[,1,RefInd]<-AllInds[,1,RefInd]*-1


#Procrustes
#Sliderz<-read.csv("curveslide.csv")
#Y.gpa<-gpagen(AllInds, curves = Sliderz)
Y.gpa<-gpagen(AllInds[,,c(-1:-4,-88,-99,-122,-147:-150)]) #Rm Ps, 5594 (missing SupraCleithrum), 5560, 5571


plotTangentSpace(Y.gpa$coords, axis1 = 1, axis2 = 2, label = dimnames(Y.gpa$coords)[[3]])

####Allometry####
setwd("/Users/home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/GMM/Corrs")
AllData<-read.csv("HeartPCscores.csv")

##Simple allometry##
Y.gpa$Csize<-AllData$centroid.size[c(-1:-4,-120,-145:-148)] #Rm Ps, 5594
gdf <- geomorph.data.frame(Y.gpa, species = dimnames(Y.gpa$coords)[[3]])
HybAllometry <- procD.allometry(coords~Csize, data=gdf, iter=999)

##Obtaining size-adjusted residuals (and allometry-free shapes)##
HybAnova <- procD.lm(HybAllometry$formula, data = HybAllometry$data, iter = 999, RRPP=TRUE) 
summary(HybAnova) 

shape.resid <- arrayspecs(HybAnova$residuals, p=dim(Y.gpa$coords)[1], k=dim(Y.gpa$coords)[2]) # size-adjusted residuals

#allometry-free shapes
CleithrumShape <- shape.resid + array(Y.gpa$consensus, dim(shape.resid))


#Set up symmetric structure
CleSym<-cbind(3:24,25:46)

#Analyze asymmetry
gdf <- geomorph.data.frame(shape = CleithrumShape, ind=dimnames(CleithrumShape)[[3]])
Cleithrum.sym <- bilat.symmetry(A = shape, ind = ind, object.sym = TRUE, 
                               land.pairs=CleSym, data = gdf, RRPP = TRUE, iter = 999)
summary(Cleithrum.sym)


#w/parents
par(pty='s')
plotTangentSpace(A = CleithrumShape, axis1 = 1, axis2 = 2, label = dimnames(CleithrumShape)[[3]])
plotTangentSpace(A = Cleithrum.sym$symm.shape, axis1 = 1, axis2 = 2, label = dimnames(CleithrumShape)[[3]])
plotTangentSpace(A = Cleithrum.sym$asymm.shape, axis1 = 1, axis2 = 2, label = dimnames(CleithrumShape)[[3]])

##PCA of allometry- and asymmetry-free shape##
ScoresO<-plotTangentSpace(CleithrumShape)
ScoresS<-plotTangentSpace(Cleithrum.sym$symm.shape)
ScoresA<-plotTangentSpace(Cleithrum.sym$asymm.shape)

setwd("/Users/home/Dropbox/Amherst/Post-Doc/Muscles/Hearts/GMM/Cleithrum/")
write.csv(ScoresO$pc.scores, "ClePCScores_O.csv")
write.csv(ScoresS$pc.scores, "ClePCScores_S.csv")
write.csv(ScoresA$pc.scores, "ClePCScores_A.csv")
